: Class RemoteResourceWrapper

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.jigadmin
Class RemoteResourceWrapper

    java.lang.Object
      |
      +--org.w3c.jigadm.RemoteResourceWrapper
            |
            +--org.w3c.jigadmin.RemoteResourceWrapper

public class RemoteResourceWrapper
extends RemoteResourceWrapper

This class is a wrapper for RemoteResource, used to store the resource tree.

Constructor Summary
`RemoteResourceWrapper(RemoteResource father, RemoteResource rr, ServerBrowser sb)` Constructor.
`RemoteResourceWrapper(RemoteResource rr, ServerBrowser sb)` Constructor.
`RemoteResourceWrapper(RemoteResourceWrapper rrwf, RemoteResource rr)` Constructor.
`RemoteResourceWrapper(RemoteResourceWrapper rrwf, RemoteResource rr, ServerBrowser sb)` Constructor.

Method Summary
`RemoteResourceWrapper` | `getChildResource(java.lang.String name)` Load and get a child of this wrapped RemoteResource.
`RemoteResourceWrapper` | `getFatherRemoteResourceWrapper()` Get the father RemoteResourceWrapper.
`ServerBrowser` | `getServerBrowser()` Get the associated ServerBrowser

Methods inherited from class org.w3c.jigadm.RemoteResourceWrapper
`getBrowser, getFatherResource, getFatherWrapper, getResource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RemoteResourceWrapper

    public RemoteResourceWrapper(RemoteResource rr,
                                 ServerBrowser sb)

  Constructor.
  Parameters:
    `rr` - The remoteResource.
    `sb` - The ServerBrowser

### RemoteResourceWrapper

    public RemoteResourceWrapper(RemoteResource father,
                                 RemoteResource rr,
                                 ServerBrowser sb)

  Constructor.
  Parameters:
    `rr` - The remoteResource.
    `rr` - The father remoteResource.
    `sb` - The ServerBrowser

### RemoteResourceWrapper

    public RemoteResourceWrapper(RemoteResourceWrapper rrwf,
                                 RemoteResource rr)

  Constructor.
  Parameters:
    `rrwf` - The father remoteResource wrapper.
    `rr` - The remoteResource.

### RemoteResourceWrapper

    public RemoteResourceWrapper(RemoteResourceWrapper rrwf,
                                 RemoteResource rr,
                                 ServerBrowser sb)

  Constructor.
  Parameters:
    `rrwf` - The father remoteResource wrapper.
    `rr` - The remoteResource.
    `sb` - The ServerBrowser

Method Detail

### getServerBrowser

    public ServerBrowser getServerBrowser()

  Get the associated ServerBrowser
  Returns:
    a ServerBrowser instance

### getFatherRemoteResourceWrapper

    public RemoteResourceWrapper getFatherRemoteResourceWrapper()

  Get the father RemoteResourceWrapper.
  Returns:
    a RemoteResourceWrapper instance

### getChildResource

    public RemoteResourceWrapper getChildResource(java.lang.String name)
                                           throws RemoteAccessException

  Load and get a child of this wrapped RemoteResource.
  Parameters:
    `name` - the child name
  Returns:
    a RemoteResourceWrapper instance

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD